use serde::Serialize;
use rocket::serde::json::Json;

#[derive(Serialize)]
enum Type {
    Voice,
    Text,
    Video
}
#[derive(Serialize)]
struct Channel {
    id: i64,
    name: String,
    desc: Option<String>,
    r#type: Type
}

#[get("/list")]
pub async fn list() -> Json<Vec<Channel>> {
    // TODO
    Json(vec![])
}

#[post("/create")]
pub async fn create() -> Json<Option<Channel>> {
    // TODO
    Json(None)
}

#[delete("/delete")]
pub async fn delete() -> Json<Option<i64>> {
    // TODO
    Json(None)
}

#[post("/update")]
pub async fn update() -> Json<Option<Channel>> {
    // TODO
    Json(None)
}

