#[macro_use] extern crate rocket;
mod invites;
mod channels;

#[rocket::main]
async fn main() -> Result<(), rocket::Error> {
    let _ = rocket::build()
        .mount("/channels", routes![
               channels::list,
               channels::create,
               channels::delete
        ])
        .mount("/invite", routes![invites::invite_user])
        .ignite().await?
        .launch().await?;
    Ok(())
}
